=== debian/changelog ===
colobot (0.2.2-2) unstable; urgency=medium

  * Patches:
    - Mark the oggfiles install fixing patch as forwarded
    - Backport upstream patch to fix 'main' declaration to fix FTBFS
      w/ GCC-15 (Closes: #1096454)
    - Patch the oggenc calls to print the (hopefully constant) serial
      number used in encoding
  * Bump Standards-Version to 4.7.2 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Sep 2025 11:29:44 +0200

colobot (0.2.2-1) unstable; urgency=medium

  [ Didier Raboud ]
  * New upstream version 0.2.2 'Plan B: fix++'
  * B-D: drop libsdl2-dev versioned constraint
  * d/control: drop colobot-common Replaces/Breaks long unneeded
  * Patch installation of converted ogg files
  * Refresh d/copyright

  [ Alexandre Detiste ]
  * Team upload.
  * Set "Rules-Requires-Root: no"
  * Update d/gbp.conf to match Salsa reality

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jan 2025 14:56:53 +0100
