=== debian/control ===
Source: colobot
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Didier Raboud <odyx@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 google-mock,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libgl-dev,
 libglew-dev,
 libgtest-dev,
 libopenal-dev,
 libphysfs-dev,
 libpng-dev,
 librsvg2-bin,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 libsndfile-dev,
 perl,
 po4a,
 xmlstarlet,
Build-Depends-Indep:
 doxygen,
 graphviz,
 vorbis-tools,
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/colobot
Vcs-Git: https://salsa.debian.org/games-team/colobot.git
Standards-Version: 4.7.2
Homepage: https://colobot.info

Package: colobot
Architecture: any
Depends:
 colobot-common (>= ${source:Version}),
 colobot-common-sounds (>= ${source:Version}),
 colobot-common-textures (>= ${source:Version}),
 fonts-dejavu-core,
 fonts-dejavu-extra,
 ${misc:Depends},
 ${shlibs:Depends},
Description: educational programming strategy game
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.

Package: colobot-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 colobot (>= ${source:Version}),
Description: educational programming strategy game - data
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the architecture-independent game data.

Package: colobot-common-sounds
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 colobot (>= ${source:Version}),
Description: educational programming strategy game - sounds and music
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the sounds and music for the game.

Package: colobot-common-textures
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 colobot (>= ${source:Version}),
Description: educational programming strategy game - textures
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the textures for the game.

Package: colobot-dev-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Recommends:
 colobot (>= ${source:Version}),
Description: educational programming strategy game - source doc
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the doxygen documentation for the colobot source code.
